#ifndef BITMAP_HOLDER_H
#define BITMAP_HOLDER_H

#include <Bitmap.h>
#include <String.h>

class BitmapHolder
{
	public:
		~BitmapHolder();
		
		BString 	m_file;
		BBitmap 	* m_bitmap;
		
		status_t	Load();
		
		// functions required by SortedList
		bool operator <  ( const BitmapHolder & ) const;
		bool operator <  ( BString & ) const;
		bool operator == ( BString & ) const;
};

#endif
