#ifndef LN_SETTINGS_H
#define LN_SETTINGS_H

#include <StorageKit.h>
#include <Rect.h>

class LnSettings
{
	protected:
		char file[512];
		bool OpenNode(BNode**);
						
	public:
		LnSettings(const char*); // name of settingsfile

		bool GetString(const char*,char*);
		bool SetString(const char*,const char*);
		
		bool GetInt(const char*,int*);
		bool SetInt(const char*,const int);
		
		bool GetUInt32(const char*,uint32*);
		bool SetUInt32(const char*,const uint32);
		
		bool GetBRect( const char *, BRect * );
		bool SetBRect( const char *, const BRect * );
};


#endif
